<template>
	<view>
		<view class="title">{{notice.title}}</view>
		<view class="content">
			<u-parse :content="notice.details"></u-parse>
		</view>
	</view>
</template>

<script>
	var _this;
	export default {
		data() {
			return {
				noticeid: 0,
				notice: {}
			}
		},
		onLoad(option) {
			_this = this;
			_this.noticeid = option.noticeid || 0;
			_this.getDetails()
		},
		methods: {
			getDetails() {
				_this = this;
				_this.$req.ajax({
					path: "notice/brokerNoticeDetail",
					data: {
						noticeid: _this.noticeid,
					}
				}).then((data) => {
					console.log("公告",data.notice)
					_this.notice = data.notice
				}).catch((err) => {
					uni.showModal({
						title: '信息提示',
						content: err,
						showCancel: false
					});
				});
			}
		}
	}
</script>

<style lang="scss">
	.title {
		font-size: 35rpx;
		font-weight: bold;
		text-align: center;
	}
	
	.content {
		margin-top: 30rpx;
		padding: 0 20rpx;
	}
</style>